Name:           python-CDDB
Version:        1.4
Release:        22%{?dist}
Summary:        CDDB and FreeDB audio CD track info access in Python

License:        GPLv2+
URL:            http://cddb-py.sourceforge.net/
Source0:        http://dl.sourceforge.net/sourceforge/cddb-py/CDDB-%{version}.tar.gz

BuildRequires:  python2-devel

%global _description\
This is actually a set of three modules to access the CDDB and FreeDB\
online databases of audio CD track titles and information. It includes\
a C extension module to fetch track lengths under Linux, FreeBSD,\
OpenBSD, Mac OS X, Solaris, and Win32, which is easily ported to other\
operating systems.

%description
%_description

%package -n python2-cddb
Summary:        %summary
%{?python_provide:%python_provide python2-cddb}
%{?python_provide:%python_provide python2-CDDB}

Provides:	python2-CDDB = %{version}-%{release}
Provides:	python2-CDDB%{?_isa} = %{version}-%{release}

%description -n python2-cddb
%_description

%prep
%autosetup -n CDDB-%{version} -p 1
%{__sed} -i -e '/^#!/,1d' CDDB.py DiscID.py

%build
%py2_build

%install
%py2_install

%files -n python2-cddb
%license COPYING
%doc CHANGES README
%{python2_sitearch}/*

%changelog
* Sun Aug 27 2017 Björn Esser <besser82@fedoraproject.org> - 1.4-22
- Properly rename the package
- Update to recent macros and guidelines
- Drop obsolete stuff

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.4-21
- Python 2 binary package renamed to python2-cddb
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-17
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1.4-7
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.4-4
- Rebuild for Python 2.6

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.4-3
- Autorebuild for GCC 4.3

* Wed Aug 29 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4-2
- Bump release and rebuild.
- Update license tag.

* Mon Dec 11 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4-1
- First version for Fedora Extras

